## org.hibernate.hql.ast.tree
Interface OperatorNode

All Known Subinterfaces:
  BinaryOperatorNode, UnaryOperatorNode

All Known Implementing Classes:
  AbstractNullnessCheckNode, BetweenOperatorNode, BinaryArithmeticOperatorNode, BinaryLogicOperatorNode, InLogicOperatorNode, IsNotNullLogicOperatorNode, IsNullLogicOperatorNode, UnaryArithmeticNode, UnaryLogicOperatorNode

    public interface OperatorNode

Contract for nodes representing operators (logic or arithmetic).

Author:
  Steve Ebersole

Method Summary
`Type` `getDataType()` Retrieves the data type for the overall operator expression.
`void` `initialize()` Called by the tree walker during hql-sql semantic analysis after the operator sub-tree is completely built.

Method Detail

### initialize

    void initialize()
                    throws antlr.SemanticException

  Called by the tree walker during hql-sql semantic analysis after the operator sub-tree is completely built.

  Throws:
    `antlr.SemanticException`

### getDataType

    Type getDataType()

  Retrieves the data type for the overall operator expression.

  Returns:
    The expression's data type.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.